<html>
<head>
<title>OgreSubEntity.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreSubEntity.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreSubEntity_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 <span class="preprocessor">#ifndef __SubEntity_H__</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">#define __SubEntity_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span>
<a name="l00031"></a>00031 <span class="preprocessor">#include &quot;<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>&quot;</span>
<a name="l00032"></a>00032 
<a name="l00033"></a>00033 <span class="preprocessor">#include &quot;<a class="code" href="OgreString_8h.html">OgreString.h</a>&quot;</span>
<a name="l00034"></a>00034 <span class="preprocessor">#include &quot;<a class="code" href="OgreRenderable_8h.html">OgreRenderable.h</a>&quot;</span>
<a name="l00035"></a>00035 <span class="preprocessor">#include &quot;<a class="code" href="OgreHardwareBufferManager_8h.html">OgreHardwareBufferManager.h</a>&quot;</span>
<a name="l00036"></a>00036 <span class="preprocessor">#include &quot;<a class="code" href="OgreResourceGroupManager_8h.html">OgreResourceGroupManager.h</a>&quot;</span>
<a name="l00037"></a>00037 
<a name="l00038"></a>00038 <span class="keyword">namespace </span>Ogre {
<a name="l00039"></a>00039 
<a name="l00062"></a><a class="code" href="classOgre_1_1SubEntity.html">00062</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1SubEntity.html" title="Utility class which defines the sub-parts of an Entity.">SubEntity</a>: <span class="keyword">public</span> <a class="code" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a>, <span class="keyword">public</span> <a class="code" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator...">SubEntityAlloc</a>
<a name="l00063"></a>00063     {
<a name="l00064"></a>00064         <span class="comment">// Note no virtual functions for efficiency</span>
<a name="l00065"></a><a class="code" href="classOgre_1_1SubEntity.html#a614439ccac0344926adc4c0165d64060">00065</a>         <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classOgre_1_1Entity.html" title="Defines an instance of a discrete, movable object based on a Mesh.">Entity</a>;
<a name="l00066"></a><a class="code" href="classOgre_1_1SubEntity.html#a284464b0561a6f2915f04b0245b987f0">00066</a>         <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>;
<a name="l00067"></a>00067     <span class="keyword">protected</span>:
<a name="l00070"></a>00070         <a class="code" href="classOgre_1_1SubEntity.html" title="Utility class which defines the sub-parts of an Entity.">SubEntity</a>(<a class="code" href="classOgre_1_1Entity.html" title="Defines an instance of a discrete, movable object based on a Mesh.">Entity</a>* parent, <a class="code" href="classOgre_1_1SubMesh.html" title="Defines a part of a complete mesh.">SubMesh</a>* subMeshBasis);
<a name="l00071"></a>00071 
<a name="l00074"></a>00074         <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1SubEntity.html" title="Utility class which defines the sub-parts of an Entity.">SubEntity</a>();
<a name="l00075"></a>00075 
<a name="l00077"></a><a class="code" href="classOgre_1_1SubEntity.html#aa96672e40c650856388969f3f3e568a3">00077</a>         <a class="code" href="classOgre_1_1Entity.html" title="Defines an instance of a discrete, movable object based on a Mesh.">Entity</a>* <a class="code" href="classOgre_1_1SubEntity.html#aa96672e40c650856388969f3f3e568a3" title="Pointer to parent.">mParentEntity</a>;
<a name="l00078"></a>00078 
<a name="l00080"></a><a class="code" href="classOgre_1_1SubEntity.html#a1414ab7a758f77b4c59d125f2e299125">00080</a>         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1SubEntity.html#a1414ab7a758f77b4c59d125f2e299125" title="Name of Material in use by this SubEntity.">mMaterialName</a>;
<a name="l00081"></a>00081 
<a name="l00083"></a><a class="code" href="classOgre_1_1SubEntity.html#aa6233df10e0b5b0d3eeedc6035381768">00083</a>         <a class="code" href="classOgre_1_1MaterialPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to MaterialPtr.">MaterialPtr</a> <a class="code" href="classOgre_1_1SubEntity.html#aa6233df10e0b5b0d3eeedc6035381768" title="Cached pointer to material.">mMaterial</a>;
<a name="l00084"></a>00084 
<a name="l00085"></a>00085         <span class="comment">// Pointer to the SubMesh defining geometry.</span>
<a name="l00086"></a><a class="code" href="classOgre_1_1SubEntity.html#a1576543e6cdc3cafb75b91f8035612ef">00086</a>         <a class="code" href="classOgre_1_1SubMesh.html" title="Defines a part of a complete mesh.">SubMesh</a>* <a class="code" href="classOgre_1_1SubEntity.html#a1576543e6cdc3cafb75b91f8035612ef">mSubMesh</a>;
<a name="l00087"></a>00087 
<a name="l00089"></a><a class="code" href="classOgre_1_1SubEntity.html#ae873abec94f7c3de277486de75ff969a">00089</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1SubEntity.html#ae873abec94f7c3de277486de75ff969a" title="Is this SubEntity visible?">mVisible</a>;
<a name="l00090"></a>00090 
<a name="l00092"></a><a class="code" href="classOgre_1_1SubEntity.html#aeff2d5dc1d14100aad841ed863ced56c">00092</a>         <a class="code" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> <a class="code" href="classOgre_1_1SubEntity.html#aeff2d5dc1d14100aad841ed863ced56c" title="The render queue to use when rendering this renderable.">mRenderQueueID</a>;
<a name="l00094"></a><a class="code" href="classOgre_1_1SubEntity.html#a794842baa996d0e7ff2cced1677a7cd1">00094</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1SubEntity.html#a794842baa996d0e7ff2cced1677a7cd1" title="Flags whether the RenderQueue&#39;s default should be used.">mRenderQueueIDSet</a>;
<a name="l00096"></a><a class="code" href="classOgre_1_1SubEntity.html#a6c87a898afeeaf1fea806dcda5b1faaa">00096</a>         <a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> <a class="code" href="classOgre_1_1SubEntity.html#a6c87a898afeeaf1fea806dcda5b1faaa" title="The render queue priority to use when rendering this renderable.">mRenderQueuePriority</a>;
<a name="l00098"></a><a class="code" href="classOgre_1_1SubEntity.html#a7a553a38264bc81e778e74abd0ac3769">00098</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1SubEntity.html#a7a553a38264bc81e778e74abd0ac3769" title="Flags whether the RenderQueue&#39;s default should be used.">mRenderQueuePrioritySet</a>;
<a name="l00099"></a>00099 
<a name="l00101"></a><a class="code" href="classOgre_1_1SubEntity.html#a151ff07c40ae1063e1336b8637ca4bd2">00101</a>         <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> <a class="code" href="classOgre_1_1SubEntity.html#a151ff07c40ae1063e1336b8637ca4bd2" title="The LOD number of the material to use, calculated by Entity::_notifyCurrentCamera.">mMaterialLodIndex</a>;
<a name="l00102"></a>00102 
<a name="l00104"></a><a class="code" href="classOgre_1_1SubEntity.html#a232dcbeb184aad2f6b415d7548c93d38">00104</a>         <a class="code" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a>* <a class="code" href="classOgre_1_1SubEntity.html#a232dcbeb184aad2f6b415d7548c93d38" title="blend buffer details for dedicated geometry">mSkelAnimVertexData</a>;
<a name="l00106"></a><a class="code" href="classOgre_1_1SubEntity.html#a4c17cfd5eae6cecf9d601e367efd34cc">00106</a>         <a class="code" href="classOgre_1_1TempBlendedBufferInfo.html" title="Structure for recording the use of temporary blend buffers.">TempBlendedBufferInfo</a> <a class="code" href="classOgre_1_1SubEntity.html#a4c17cfd5eae6cecf9d601e367efd34cc" title="Quick lookup of buffers.">mTempSkelAnimInfo</a>;
<a name="l00108"></a><a class="code" href="classOgre_1_1SubEntity.html#a6191ebd40cd698d1bf68800c37a0aff4">00108</a>         <a class="code" href="classOgre_1_1TempBlendedBufferInfo.html" title="Structure for recording the use of temporary blend buffers.">TempBlendedBufferInfo</a> <a class="code" href="classOgre_1_1SubEntity.html#a6191ebd40cd698d1bf68800c37a0aff4" title="Temp buffer details for software Vertex anim geometry.">mTempVertexAnimInfo</a>;
<a name="l00110"></a><a class="code" href="classOgre_1_1SubEntity.html#abbd853a7c3319feadedc09a3874fdf7e">00110</a>         <a class="code" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a>* <a class="code" href="classOgre_1_1SubEntity.html#abbd853a7c3319feadedc09a3874fdf7e" title="Vertex data details for software Vertex anim of shared geometry.">mSoftwareVertexAnimVertexData</a>;
<a name="l00114"></a><a class="code" href="classOgre_1_1SubEntity.html#add80eca6e17aaafeff9a5a913f00e641">00114</a>         <a class="code" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a>* <a class="code" href="classOgre_1_1SubEntity.html#add80eca6e17aaafeff9a5a913f00e641" title="Vertex data details for hardware Vertex anim of shared geometry.">mHardwareVertexAnimVertexData</a>;
<a name="l00116"></a><a class="code" href="classOgre_1_1SubEntity.html#ae4b715172cc5ab8c59a655ba3d8ce1b7">00116</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1SubEntity.html#ae4b715172cc5ab8c59a655ba3d8ce1b7" title="Have we applied any vertex animation to geometry?">mVertexAnimationAppliedThisFrame</a>;
<a name="l00118"></a><a class="code" href="classOgre_1_1SubEntity.html#a4527fcf72f8fd40d66c0eaf9b7aaf978">00118</a>         <a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> <a class="code" href="classOgre_1_1SubEntity.html#a4527fcf72f8fd40d66c0eaf9b7aaf978" title="Number of hardware blended poses supported by material.">mHardwarePoseCount</a>;
<a name="l00120"></a><a class="code" href="classOgre_1_1SubEntity.html#a583d2a382488261388c88264cc5dd5eb">00120</a>         <span class="keyword">mutable</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1SubEntity.html#a583d2a382488261388c88264cc5dd5eb" title="Cached distance to last camera for getSquaredViewDepth.">mCachedCameraDist</a>;
<a name="l00122"></a><a class="code" href="classOgre_1_1SubEntity.html#a0cafd29d50d9f2dd1cd7201f96b742b5">00122</a>         <span class="keyword">mutable</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered.">Camera</a> *<a class="code" href="classOgre_1_1SubEntity.html#a0cafd29d50d9f2dd1cd7201f96b742b5" title="The camera for which the cached distance is valid.">mCachedCamera</a>;
<a name="l00123"></a>00123 
<a name="l00125"></a>00125         <span class="keywordtype">void</span> prepareTempBlendBuffers(<span class="keywordtype">void</span>);
<a name="l00126"></a>00126 
<a name="l00127"></a>00127     <span class="keyword">public</span>:
<a name="l00130"></a>00130         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getMaterialName() <span class="keyword">const</span>;
<a name="l00131"></a>00131 
<a name="l00138"></a>00138         <span class="keywordtype">void</span> setMaterialName( <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; groupName = <a class="code" href="classOgre_1_1ResourceGroupManager.html#a70da3137e703c147b98fbfbbebfbf023" title="Special resource group name which causes resource group to be automatically determined based on searc...">ResourceGroupManager::AUTODETECT_RESOURCE_GROUP_NAME</a> );
<a name="l00139"></a>00139 
<a name="l00146"></a>00146         <span class="keywordtype">void</span> setMaterial( <span class="keyword">const</span> <a class="code" href="classOgre_1_1MaterialPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to MaterialPtr.">MaterialPtr</a>&amp; material );
<a name="l00147"></a>00147 
<a name="l00149"></a>00149         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setVisible(<span class="keywordtype">bool</span> visible);
<a name="l00150"></a>00150 
<a name="l00152"></a>00152         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> isVisible(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00153"></a>00153 
<a name="l00165"></a>00165         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setRenderQueueGroup(<a class="code" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> queueID);
<a name="l00166"></a>00166 
<a name="l00180"></a>00180         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setRenderQueueGroupAndPriority(<a class="code" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> queueID, <a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> priority);
<a name="l00181"></a>00181 
<a name="l00183"></a>00183         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> getRenderQueueGroup(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00184"></a>00184 
<a name="l00186"></a>00186         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> getRenderQueuePriority(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00187"></a>00187 
<a name="l00189"></a>00189         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> isRenderQueueGroupSet(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00190"></a>00190 
<a name="l00192"></a>00192         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> isRenderQueuePrioritySet(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00193"></a>00193 
<a name="l00196"></a>00196         <a class="code" href="classOgre_1_1SubMesh.html" title="Defines a part of a complete mesh.">SubMesh</a>* getSubMesh(<span class="keywordtype">void</span>);
<a name="l00197"></a>00197 
<a name="l00199"></a><a class="code" href="classOgre_1_1SubEntity.html#a1b3670ec0b19ba7b876fb53634a666cf">00199</a>         <a class="code" href="classOgre_1_1Entity.html" title="Defines an instance of a discrete, movable object based on a Mesh.">Entity</a>* <a class="code" href="classOgre_1_1SubEntity.html#a1b3670ec0b19ba7b876fb53634a666cf" title="Accessor to get parent Entity.">getParent</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mParentEntity; }
<a name="l00200"></a>00200 
<a name="l00203"></a>00203         <span class="keyword">const</span> <a class="code" href="classOgre_1_1MaterialPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to MaterialPtr.">MaterialPtr</a>&amp; getMaterial(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00204"></a>00204 
<a name="l00207"></a>00207         <a class="code" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a>* getTechnique(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00208"></a>00208 
<a name="l00211"></a>00211         <span class="keywordtype">void</span> getRenderOperation(<a class="code" href="classOgre_1_1RenderOperation.html" title="&#39;New&#39; rendering operation using vertex buffers.">RenderOperation</a>&amp; op);
<a name="l00212"></a>00212 
<a name="l00215"></a>00215         <span class="keywordtype">void</span> getWorldTransforms(<a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a>* xform) <span class="keyword">const</span>;
<a name="l00218"></a>00218         <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> getNumWorldTransforms(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00220"></a>00220         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getSquaredViewDepth(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered.">Camera</a>* cam) <span class="keyword">const</span>;
<a name="l00222"></a>00222         <span class="keyword">const</span> <a class="code" href="classOgre_1_1HashedVector.html">LightList</a>&amp; getLights(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00224"></a>00224         <span class="keywordtype">bool</span> getCastsShadows(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00234"></a>00234         <a class="code" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a>* _getSkelAnimVertexData(<span class="keywordtype">void</span>);
<a name="l00243"></a>00243         <a class="code" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a>* _getSoftwareVertexAnimVertexData(<span class="keywordtype">void</span>);
<a name="l00248"></a>00248         <a class="code" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a>* _getHardwareVertexAnimVertexData(<span class="keywordtype">void</span>);
<a name="l00252"></a>00252         <a class="code" href="classOgre_1_1TempBlendedBufferInfo.html" title="Structure for recording the use of temporary blend buffers.">TempBlendedBufferInfo</a>* _getSkelAnimTempBufferInfo(<span class="keywordtype">void</span>);
<a name="l00256"></a>00256         <a class="code" href="classOgre_1_1TempBlendedBufferInfo.html" title="Structure for recording the use of temporary blend buffers.">TempBlendedBufferInfo</a>* _getVertexAnimTempBufferInfo(<span class="keywordtype">void</span>);
<a name="l00258"></a>00258         <a class="code" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a>* getVertexDataForBinding(<span class="keywordtype">void</span>);
<a name="l00259"></a>00259 
<a name="l00262"></a>00262         <span class="keywordtype">void</span> _markBuffersUnusedForAnimation(<span class="keywordtype">void</span>);
<a name="l00265"></a>00265         <span class="keywordtype">void</span> _markBuffersUsedForAnimation(<span class="keywordtype">void</span>);
<a name="l00267"></a><a class="code" href="classOgre_1_1SubEntity.html#a8e00545c24b8ca8674aeec00567ce4cd">00267</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1SubEntity.html#a8e00545c24b8ca8674aeec00567ce4cd" title="Are buffers already marked as vertex animated?">_getBuffersMarkedForAnimation</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mVertexAnimationAppliedThisFrame; }
<a name="l00271"></a>00271         <span class="keywordtype">void</span> _restoreBuffersForUnusedAnimation(<span class="keywordtype">bool</span> hardwareAnimation);
<a name="l00272"></a>00272 
<a name="l00274"></a>00274         <span class="keywordtype">void</span> _updateCustomGpuParameter(
<a name="l00275"></a>00275             <span class="keyword">const</span> <a class="code" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html" title="Structure recording the use of an automatic parameter.">GpuProgramParameters::AutoConstantEntry</a>&amp; constantEntry,
<a name="l00276"></a>00276             <a class="code" href="classOgre_1_1GpuProgramParameters.html" title="Collects together the program parameters used for a GpuProgram.">GpuProgramParameters</a>* params) <span class="keyword">const</span>;
<a name="l00277"></a>00277 
<a name="l00279"></a><a class="code" href="classOgre_1_1SubEntity.html#abed92cd6152d752dccb46b4ef7a2874f">00279</a>         <span class="keywordtype">void</span> _invalidateCameraCache ()
<a name="l00280"></a>00280         { mCachedCamera = 0; }
<a name="l00281"></a>00281     };
<a name="l00285"></a>00285 }
<a name="l00286"></a>00286 
<a name="l00287"></a>00287 
<a name="l00288"></a>00288 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:52
</p>
</body>
</html>
